Package org.apache.lucene.backward_codecs.lucene91

## Class Lucene91BoundsChecker.Max

- java.lang.Object
- - org.apache.lucene.backward_codecs.lucene91.Lucene91BoundsChecker
  - - org.apache.lucene.backward_codecs.lucene91.Lucene91BoundsChecker.Max

- Enclosing class:
    Lucene91BoundsChecker

      public static class Lucene91BoundsChecker.Max
      extends Lucene91BoundsChecker

  A helper class for an hnsw graph that serves as a comparator of the currently set maximum value with a new value.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.backward_codecs.lucene91.Lucene91BoundsChecker

      `Lucene91BoundsChecker.Max, Lucene91BoundsChecker.Min`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `check​(float sample)` | Check the sample
    `void` | `update​(float sample)` | Update the bound if sample is better

    - ### Methods inherited from class org.apache.lucene.backward_codecs.lucene91.Lucene91BoundsChecker

      `create, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### update

          public void update​(float sample)

      Description copied from class: `Lucene91BoundsChecker`
      Update the bound if sample is better
      Specified by:
        `update` in class `Lucene91BoundsChecker`

    - #### check

          public boolean check​(float sample)

      Description copied from class: `Lucene91BoundsChecker`
      Check the sample
      Specified by:
        `check` in class `Lucene91BoundsChecker`
      Parameters:
        `sample` - a score
      Returns:
        whether the sample exceeds (is worse than) the bound